Cyberduck Mountain Duck CLI

#2221 closed defect (fixed)

Cannot select a SSH private key in login dialog

Reported by: l3g3nd4ryf0x@… Owned by: dkocher
Priority: normal Milestone: 3.0.2
Component: sftp Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description

In my network I have SFTP/SSH domains with no password access but only public key authentication. These domains announce their SSH and SFTP service and are discovered by Bonjour. However, when I double click the Bonjour host, I am prompted for the user name and the password, but I have no possibility to choose a private key.

There are two separated issues IMHO:

1) Defect: I can't connect to a Bonjour domain by simply double-clicking on its name.

2) Enhancement: it would also be nice for Cyberduck to remember the key for Bonjour domains.

(However Cyberduck is a great application!)

Cheers.

Change History (5)

comment:1 Changed on Jun 30, 2008 at 11:25:28 AM by dkocher

  • Status changed from new to assigned

comment:2 Changed on Jul 16, 2008 at 8:06:11 PM by dkocher

  • Component changed from interface to sftp
  • Resolution set to fixed
  • Status changed from assigned to closed
Last edited on Jan 31, 2011 at 4:10:17 PM by karamia (previous) (diff)

comment:3 Changed on Jul 21, 2008 at 1:51:20 PM by dkocher

  • Summary changed from Can't select a SSH private key if connecting to a Bonjour domain to Cannot select a SSH private key in login dialog

comment:4 Changed on Apr 27, 2010 at 12:23:06 PM by bascorp

  • Platform set to Mac OS X 10.6
Note: See TracTickets for help on using tickets.
swiss made software